hakyll-4.9.8.0: A static website compiler library

Safe Haskell | Safe
Language | Haskell98

Hakyll.Core.Logger

Description

Produce pretty, thread-safe logs

Synopsis

- data Verbosity
  - = Error
  - | Message
  - | Debug
- data Logger
- new :: Verbosity -> IO Logger
- flush :: Logger -> IO ()
- error :: MonadIO m => Logger -> String -> m ()
- header :: MonadIO m => Logger -> String -> m ()
- message :: MonadIO m => Logger -> String -> m ()
- debug :: MonadIO m => Logger -> String -> m ()

# Documentation

data Verbosity Source #

Constructors

Error |
Message |
Debug |

Instances

Eq Verbosity Source # |
Methods (==) :: Verbosity -> Verbosity -> Bool # (/=) :: Verbosity -> Verbosity -> Bool #
Ord Verbosity Source # |
Methods compare :: Verbosity -> Verbosity -> Ordering # (<) :: Verbosity -> Verbosity -> Bool # (<=) :: Verbosity -> Verbosity -> Bool # (>) :: Verbosity -> Verbosity -> Bool # (>=) :: Verbosity -> Verbosity -> Bool # max :: Verbosity -> Verbosity -> Verbosity # min :: Verbosity -> Verbosity -> Verbosity #
Show Verbosity Source # |
Methods showsPrec :: Int -> Verbosity -> ShowS # show :: Verbosity -> String # showList :: [Verbosity] -> ShowS #

data Logger Source #

Logger structure. Very complicated.

new :: Verbosity -> IO Logger Source #

Create a new logger

flush :: Logger -> IO () Source #

Flush the logger (blocks until flushed)

error :: MonadIO m => Logger -> String -> m () Source #

header :: MonadIO m => Logger -> String -> m () Source #

message :: MonadIO m => Logger -> String -> m () Source #

debug :: MonadIO m => Logger -> String -> m () Source #